[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TFPHashObjectList.Rename

Rename a key

## Declaration

Source position: contnrs.pp line 314

`public function TFPHashObjectList.Rename(`
`const AOldName: shortstring;`
`const ANewName: shortstring`
`):Integer;`

## Arguments

`AOldName` |  | Key to rename
`ANewName` |  | New name of key

## Function result

New position in the list

## Description

Rename renames key AOldname to ANewName. The hash value is recomputed and the object is moved in the list to it's new position.

## Errors

If an object with ANewName already exists, an exception will be raised.

The latest version of this document can be found at lazarus-ccr.sourceforge.net .